org.bdgenomics.adam.rdd.read.recalibration

# BaseQualityRecalibration

###
Related Docs: object BaseQualityRecalibration | package recalibration

#### class BaseQualityRecalibration extends Serializable with Logging

The algorithm proceeds in two phases. First, we make a pass over the reads to collect statistics and build the recalibration tables. Then, we perform a second pass over the reads to apply the recalibration and assign adjusted quality scores.

Linear Supertypes
Logging, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BaseQualityRecalibration
2. Logging
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BaseQualityRecalibration(input: RDD[(Option[DecadentRead], Option[AlignmentRecord])], knownSnps: Broadcast[SnpTable], dumpObservationTableFile: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val covariates: CovariateSpace

7. #### val dataset: RDD[(CovariateKey, Residue)]

8. #### val dumpObservationTableFile: Option[String]

9. #### val enableVisitLogging: Boolean

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### val input: RDD[(Option[DecadentRead], Option[AlignmentRecord])]

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

18. #### val knownSnps: Broadcast[SnpTable]

19. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### val minAcceptableQuality: QualityScore

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### val observed: ObservationTable

36. #### val result: RDD[AlignmentRecord]

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped